package com.eactive.eai.flowcontrol.jms; 

import java.io.Serializable;


public class FCQueueReceiverVO implements Serializable { 
	private static final long serialVersionUID = 1L;
	
	private String receiverName    ; // Receiver Name
    private String queueName       ; // Queue Name
    private String errorQueueName  ; // Error Queue Name
	private int    receiverCount   ; // Receiver 수
	private int    errorDelayTimeMs; // 에러 발생시 delay 타임(ms)
	private int    retryCount      ; // 에러큐에 대한 retry 회수
	private String messageSelector ; // Selector 
	private String bascQueRcverYn  ; // 기본큐수신자여부 ( 1-Default, 0 - Not) 
	private String description     ; // 설명
    
	private String eaiSevrInstncName; // 서버인스탄스명
    
    public String getEaiSevrInstncName() {
		return eaiSevrInstncName;
	}

	public void setEaiSevrInstncName(String eaiSevrInstncName) {
		this.eaiSevrInstncName = eaiSevrInstncName;
	}

    public FCQueueReceiverVO() {
    	receiverCount = 1;
    	errorDelayTimeMs = 0;
    	retryCount = 0;
    	messageSelector = "";
    }

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getMessageSelector() {
		return messageSelector;
	}

	public void setMessageSelector(String messageSelector) {
		this.messageSelector = messageSelector;
	}

	public String getQueueName() {
		return queueName;
	}

	public void setQueueName(String queueName) {
		this.queueName = queueName;
	}

	public int getReceiverCount() {
		return receiverCount;
	}

	public void setReceiverCount(int receiverCount) {
		this.receiverCount = receiverCount;
	}

	public String getReceiverName() {
		return receiverName;
	}

	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}

	public int getErrorDelayTimeMs() {
		return errorDelayTimeMs;
	}

	public void setErrorDelayTimeMs(int errorDelayTimeMs) {
		this.errorDelayTimeMs = errorDelayTimeMs;
	}

	public String getErrorQueueName() {
		return errorQueueName;
	}

	public void setErrorQueueName(String errorQueueName) {
		this.errorQueueName = errorQueueName;
	}

	public int getRetryCount() {
		return retryCount;
	}

	public void setRetryCount(int retryCount) {
		this.retryCount = retryCount;
	}

	public String getBascQueRcverYn() {
		return bascQueRcverYn;
	}

	public void setBascQueRcverYn(String bascQueRcverYn) {
		this.bascQueRcverYn = bascQueRcverYn;
	}
            
} 
